import urllib.request
import json
from app import db, SuggestedProduct, app

CATEGORIES = {
    "Przyprawa": [
        "przyprawa", "pieprz", "sól", "bazylia", "oregano", "papryka", "majeranek", "czosnek",
        "tymianek", "rozmaryn", "kolendra", "curry", "imbir", "goździki", "chili", "koper",
        "kminek", "liść laurowy", "ziele angielskie", "kurkuma", "musztarda", "chrzan"
    ],
    "Mięso": [
        "kurczak", "piersi z kurczaka", "udka z kurczaka", "wołowina", "mielona wołowina",
        "wieprzowina", "schab", "łopatka", "szynka", "boczek", "indyk", "filet z indyka", 
        "gulasz", "pasztet", "karkówka", "żeberka", "kiełbasa", "parówki", "salami", "kabanos"
    ],
    "Ryba i owoce morza": [
        "łosoś", "dorsz", "mintaj", "makrela", "pstrąg", "karp", "śledź", "tuńczyk",
        "morszczuk", "sardynka", "szproty", "anchois", "tilapia", "sandacz", "halibut",
        "sum", "flądra", "ostrobok", "paluszki rybne", "konserwa rybna"
    ],
    "Nabiał": [
        "mleko", "jogurt", "ser żółty", "ser biały", "twaróg", "śmietana", "masło",
        "kefir", "maślanka", "serek wiejski", "serek topiony", "mozzarella", "feta",
        "parmezan", "gouda", "emmental", "ser pleśniowy", "ser homogenizowany",
        "serek mascarpone", "ser ricotta"
    ],
    "Warzywo": [
        "pomidor", "ogórek", "marchew", "cebula", "sałata", "papryka", "ziemniak",
        "kapusta", "brokuł", "kalafior", "cukinia", "bakłażan", "szpinak", "rukola",
        "seler", "por", "burak", "dynia", "rzodkiewka", "fasola"
    ],
    "Owoc": [
        "jabłko", "banan", "gruszka", "truskawka", "winogrono", "malina", "borówka",
        "czereśnia", "wiśnia", "brzoskwinia", "nektaryna", "śliwka", "ananas",
        "mango", "kiwi", "cytryna", "limonka", "pomarańcza", "mandarynka", "grejpfrut"
    ],
    "Pieczywo i zboża": [
        "chleb", "bułka", "bagietka", "kajzerka", "pumpernikiel", "chleb razowy",
        "chleb żytni", "tost", "grahamka", "croissant", "tortilla", "pizza",
        "pierogi", "ryż", "makaron", "kasza jaglana", "kasza gryczana", "owsianka",
        "płatki kukurydziane", "musli"
    ],
    "Słodycze i przekąski": [
        "czekolada", "baton", "ciastko", "wafel", "lody", "cukierek", "żelki",
        "herbatnik", "paluszki", "chipsy", "orzeszki", "popcorn", "krakersy",
        "ciasto", "muffin", "pączek", "drożdżówka", "babeczka", "piernik", "beza"
    ],
    "Napoje": [
        "woda", "sok jabłkowy", "sok pomarańczowy", "sok multiwitamina", "cola",
        "pepsi", "napój gazowany", "kawa", "herbata", "piwo", "wino czerwone",
        "wino białe", "tonik", "lemoniada", "napój izotoniczny", "kompot",
        "napój mleczny", "maślanka pitna", "koktajl owocowy", "nektar"
    ],
    "Tłuszcze i oleje": [
        "oliwa", "olej rzepakowy", "olej słonecznikowy", "masło klarowane",
        "margaryna", "smalec", "masło orzechowe", "tłuszcz kokosowy",
        "olej lniany", "olej z pestek winogron", "olej sezamowy",
        "olej ryżowy", "olej z awokado", "olej kukurydziany", "olej arachidowy",
        "olej palmowy", "olej konopny", "olej sojowy", "olej dyniowy", "olej z orzechów włoskich"
    ],
    "Dania gotowe": [
        "pizza", "hamburger", "hot dog", "zupa", "gulasz", "pierogi ruskie",
        "pierogi z mięsem", "lasagne", "sałatka warzywna", "kanapka",
        "wrap", "tortilla", "zapiekanka", "sushi", "falafel", "kebab",
        "pyzy", "kluski śląskie", "kotlet schabowy", "gołąbki"
    ]
}

produkty = []

for category, names in CATEGORIES.items():
    for name in names:
        produkty.append((category, name.lower().strip()))

print(f"Przygotowano {len(produkty)} produktów do dodania.")

with app.app_context():
    dodane = 0
    for category, name in produkty:
        full_name = f"{category}: {name}"
        if not SuggestedProduct.query.filter_by(name=full_name).first():
            prod = SuggestedProduct(name=full_name)
            db.session.add(prod)
            dodane += 1
    db.session.commit()

print(f"Dodano {dodane} produktów do bazy.")
